Subject: n900 in next-20170901

From: [email-masked] (Tony Lindgren)
Date: Thu, 9 Nov 2017 07:08:54 -0800

* Joonsoo Kim <[email-masked]> [171109 03:47]:
> Could you test following two commits on my updated branch?
> 
> "arm/dma: vmalloc area allocation"

Won't boot at this commit:

[    6.747283] save_secure_sram() returns 0000ff02
[    6.751983] save_secure_sram()'s param: 0: 0x4
[    6.756561] save_secure_sram()'s param: 1: 0x8e700000
[    6.761749] save_secure_sram()'s param: 2: 0x0
[    6.766326] save_secure_sram()'s param: 3: 0x1
[    6.770904] save_secure_sram()'s param: 4: 0x1

> "arm/dma: defer atomic pool initialization"

Boots at this commit.

> I suspect that changed virtual address of the sram due to early
> __dma_alloc_remap() call causes the problem and above two commits test
> this theory.

Hmm OK. Does your first patch above now have the initcall issue too?
It boots if I make that also subsys_initcall and then I get:

[    2.078094] vmalloc_pool_init: DMA: get vmalloc area: d0010000

Regards,

Tony